Index: TOOLS/MOSAIX/CreateOasisGrids.bash
===================================================================
--- TOOLS/MOSAIX/CreateOasisGrids.bash	(revision 3622)
+++ TOOLS/MOSAIX/CreateOasisGrids.bash	(revision 3623)
@@ -15,4 +15,10 @@
 ##  personal.
 ##
+## SVN information
+#  $Author$
+#  $Date$
+#  $Revision$
+#  $Id$
+#  $Log: $
 
 ##
@@ -361,4 +367,10 @@
 	    --attribute release,global,o,c,"$(uname -r)"               \
 	    --attribute hardware,global,o,c,"$(uname -i)"              \
+	    --attribute Comment,global,o,c,"Preliminary attempt - Do not trust !" \
+	    --attribute	SVN_Author,global,o,c,"$Author"                           \
+            --attribute SVN_Date,global,o,c,"$Date$"                            \
+	    --attribute SVN_Revision,global,o,c,"$Revision$"                    \
+	    --attribute SVN_Id,global,o,c,"$Id$"                                \
+	    --attribute SVN_Lo,global,o,c,"$Log: $"                               \
 	    ${type}_${CplModel}.nc
 done
Index: TOOLS/MOSAIX/CreateRestartAtm4Oasis.bash
===================================================================
--- TOOLS/MOSAIX/CreateRestartAtm4Oasis.bash	(revision 3622)
+++ TOOLS/MOSAIX/CreateRestartAtm4Oasis.bash	(revision 3623)
@@ -16,4 +16,10 @@
 ##  personal.
 ##
+## SVN information
+#  $Author$
+#  $Date$
+#  $Revision$
+#  $Id$
+#  $Log: $
 
 # Usage exemples :
@@ -240,5 +246,11 @@
 	--attribute hardware,global,o,c,"$(uname -i)"                         \
 	--attribute directory,global,o,c,"$(pwd)"                             \
-	--attribute Comment,global,o,c,"${Comment}"                \
+	--attribute Comment,global,o,c,"${Comment}"                           \
+        --attribute Comment,global,o,c,"Preliminary attempt - Do not trust !" \
+	--attribute	SVN_Author,global,o,c,"$Author"                       \
+        --attribute SVN_Date,global,o,c,"$Date$"                            \
+	--attribute SVN_Revision,global,o,c,"$Revision$"                    \
+	--attribute SVN_Id,global,o,c,"$Id$"                                \
+	--attribute SVN_Lo,global,o,c,"$Log: $"                               \
 	flxat.nc
 
Index: TOOLS/MOSAIX/CreateRestartOce4Oasis.bash
===================================================================
--- TOOLS/MOSAIX/CreateRestartOce4Oasis.bash	(revision 3622)
+++ TOOLS/MOSAIX/CreateRestartOce4Oasis.bash	(revision 3623)
@@ -16,4 +16,10 @@
 ##  personal.
 ##
+## SVN information
+#  $Author$
+#  $Date$
+#  $Revision$
+#  $Id$
+#  $Log: $
 
 # Usage exemples :
@@ -164,4 +170,9 @@
 	--attribute directory,global,o,c,"$(pwd)"                             \
 	--attribute Comment,global,o,c,"${Comment}"                           \
+	--attribute	SVN_Author,global,o,c,"$Author"                       \
+        --attribute SVN_Date,global,o,c,"$Date$"                            \
+	--attribute SVN_Revision,global,o,c,"$Revision$"                    \
+	--attribute SVN_Id,global,o,c,"$Id$"                                \
+	--attribute SVN_Lo,global,o,c,"$Log: $"                               \
 	sstoc.nc
 
Index: TOOLS/MOSAIX/CreateWeightsMask.bash
===================================================================
--- TOOLS/MOSAIX/CreateWeightsMask.bash	(revision 3622)
+++ TOOLS/MOSAIX/CreateWeightsMask.bash	(revision 3623)
@@ -28,4 +28,10 @@
 ##  personal.
 ##
+## SVN information
+#  $Author$
+#  $Date$
+#  $Revision$
+#  $Id$
+#  $Log: $
 
 ##
@@ -326,4 +332,9 @@
 	    --attribute description,global,o,c,"Generated with XIOS http://forge.ipsl.jussieu.fr/ioserver" \
 	    --attribute Comment,global,o,c,"Preliminary attempt - Do not trust !" \
+	    --attribute	SVN_Author,global,o,c,"$Author"                           \
+            --attribute SVN_Date,global,o,c,"$Date$"                            \
+	    --attribute SVN_Revision,global,o,c,"$Revision$"                    \
+	    --attribute SVN_Id,global,o,c,"$Id$"                                \
+	    --attribute SVN_Lo,global,o,c,"$Log: $"                               \
 	    ${InFile}
 done
Index: TOOLS/MOSAIX/iodef_atm_to_oce.xml
===================================================================
--- TOOLS/MOSAIX/iodef_atm_to_oce.xml	(revision 3622)
+++ TOOLS/MOSAIX/iodef_atm_to_oce.xml	(revision 3623)
@@ -77,5 +77,10 @@
 	<variable name="Institution"   type="string">IPSL</variable>
 	<variable name="Model"         type="string">IPSL CM6</variable>
-
+	<variable name="SVN_Author"    type="string">$Author$</variable>
+	<variable name="SVN_Date"      type="string">$Date$
+	<variable name="SVN_Revision"  type="string">$Revision$</variable>
+	<variable name="SVN_Id"        type="string">$Id$</variable>
+	<variable name="SVN_Log"       type="string">$Log: $</variable>
+	
 	<field name="field01_dst" field_ref="field01_src" domain_ref="domain_dst" operation="once" prec="8" />
 	<field name="field02_dst" field_ref="field02_src" domain_ref="domain_dst" operation="once" prec="8" />
Index: TOOLS/MOSAIX/iodef_oce_to_atm.xml
===================================================================
--- TOOLS/MOSAIX/iodef_oce_to_atm.xml	(revision 3622)
+++ TOOLS/MOSAIX/iodef_oce_to_atm.xml	(revision 3623)
@@ -77,4 +77,9 @@
 	<variable name="Institution"   type="string">IPSL</variable>
 	<variable name="Model"         type="string">IPSL CM6</variable>
+	<variable name="SVN_Author"    type="string">$Author$</variable>
+	<variable name="SVN_Date"      type="string">$Date$
+	<variable name="SVN_Revision"  type="string">$Revision$</variable>
+	<variable name="SVN_Id"        type="string">$Id$</variable>
+	<variable name="SVN_Log"       type="string">$Log: $</variable>
 	
 	<field name="OceFrac"     field_ref="mask_src"    domain_ref="domain_dst" operation="once" prec="8" />
Index: TOOLS/MOSAIX/src/MOSAIX/interpol.f90
===================================================================
--- TOOLS/MOSAIX/src/MOSAIX/interpol.f90	(revision 3622)
+++ TOOLS/MOSAIX/src/MOSAIX/interpol.f90	(revision 3623)
@@ -28,4 +28,12 @@
    INTEGER :: narg, ja !< To handle command line arguments
    CHARACTER (LEN=80) :: cmd_arg
+   !
+   !! SVN information
+   CHARACTER (LEN=80) :: SVN_Author   = "$Author$"
+   CHARACTER (LEN=80) :: SVN_Date     = "$Date$"
+   CHARACTER (LEN=80) :: SVN_Revision = "$Revision$"
+   CHARACTER (LEN=80) :: SVN_Id       = "$Id$"
+   CHARACTER (LEN=80) :: SVN_Log      = "$Log: $"
+
    !!
    !< Initialisation
Index: TOOLS/MOSAIX/update_xml.py
===================================================================
--- TOOLS/MOSAIX/update_xml.py	(revision 3622)
+++ TOOLS/MOSAIX/update_xml.py	(revision 3623)
@@ -14,6 +14,11 @@
 ##  personal.
 ##
-#
-__version__ = "0.1"
+## SVN information
+__Author__   = "$Author$"
+__Date__     = "$Date$"
+__Revision__ = "$Revision$"
+__Id__       = "$Id$"
+__Log__      = "$Log: $"
+
 # 
 # Tested with python/2.7.12 and python/3.6.4