Index: TOOLS/MOSAIX/CreateOasisGrids.bash
===================================================================
--- TOOLS/MOSAIX/CreateOasisGrids.bash	(revision 3625)
+++ TOOLS/MOSAIX/CreateOasisGrids.bash	(revision 3626)
@@ -16,8 +16,8 @@
 ##
 ## SVN information
-#  $Author$
-#  $Date$
-#  $Revision$
-#  $Id$
+#  $Author: omamce $
+#  $Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $
+#  $Revision: 3625 $
+#  $Id: CreateOasisGrids.bash 3625 2018-03-12 10:17:59Z omamce $
 #  $Log: $
 
@@ -368,9 +368,9 @@
 	    --attribute hardware,global,o,c,"$(uname -i)"              \
 	    --attribute Comment,global,o,c,"Preliminary attempt - Do not trust !" \
-	    --attribute	SVN_Author,global,o,c,"$Author$"                           \
-            --attribute SVN_Date,global,o,c,"$Date$"                            \
-	    --attribute SVN_Revision,global,o,c,"$Revision$"                    \
-	    --attribute SVN_Id,global,o,c,"$Id$"                                \
-	    --attribute SVN_Lo,global,o,c,"$Log: $"                               \
+	    --attribute	SVN_Author,global,o,c,"$Author: omamce $"                           \
+            --attribute SVN_Date,global,o,c,"$Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $"                            \
+	    --attribute SVN_Revision,global,o,c,"$Revision: 3625 $"                    \
+	    --attribute SVN_Id,global,o,c,"$Id: CreateOasisGrids.bash 3625 2018-03-12 10:17:59Z omamce $"                                \
+	    --attribute SVN_Log,global,o,c,"$Log: $"                               \
 	    ${type}_${CplModel}.nc
 done
Index: TOOLS/MOSAIX/CreateRestartAtm4Oasis.bash
===================================================================
--- TOOLS/MOSAIX/CreateRestartAtm4Oasis.bash	(revision 3625)
+++ TOOLS/MOSAIX/CreateRestartAtm4Oasis.bash	(revision 3626)
@@ -17,8 +17,8 @@
 ##
 ## SVN information
-#  $Author$
-#  $Date$
-#  $Revision$
-#  $Id$
+#  $Author: omamce $
+#  $Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $
+#  $Revision: 3625 $
+#  $Id: CreateRestartAtm4Oasis.bash 3625 2018-03-12 10:17:59Z omamce $
 #  $Log: $
 
@@ -248,9 +248,9 @@
 	--attribute Comment,global,o,c,"${Comment}"                           \
         --attribute Comment,global,o,c,"Preliminary attempt - Do not trust !" \
-	--attribute	SVN_Author,global,o,c,"$Author$"                       \
-        --attribute SVN_Date,global,o,c,"$Date$"                            \
-	--attribute SVN_Revision,global,o,c,"$Revision$"                    \
-	--attribute SVN_Id,global,o,c,"$Id$"                                \
-	--attribute SVN_Lo,global,o,c,"$Log: $"                               \
+	--attribute SVN_Author,global,o,c,"$Author: omamce $"                 \
+        --attribute SVN_Date,global,o,c,"$Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $"                            \
+	--attribute SVN_Revision,global,o,c,"$Revision: 3625 $"               \
+	--attribute SVN_Id,global,o,c,"$Id: CreateRestartAtm4Oasis.bash 3625 2018-03-12 10:17:59Z omamce $"                                \
+	--attribute SVN_Log,global,o,c,"$Log: $"                              \
 	flxat.nc
 
Index: TOOLS/MOSAIX/CreateRestartOce4Oasis.bash
===================================================================
--- TOOLS/MOSAIX/CreateRestartOce4Oasis.bash	(revision 3625)
+++ TOOLS/MOSAIX/CreateRestartOce4Oasis.bash	(revision 3626)
@@ -17,8 +17,8 @@
 ##
 ## SVN information
-#  $Author$
-#  $Date$
-#  $Revision$
-#  $Id$
+#  $Author: omamce $
+#  $Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $
+#  $Revision: 3625 $
+#  $Id: CreateRestartOce4Oasis.bash 3625 2018-03-12 10:17:59Z omamce $
 #  $Log: $
 
@@ -170,8 +170,8 @@
 	--attribute directory,global,o,c,"$(pwd)"                             \
 	--attribute Comment,global,o,c,"${Comment}"                           \
-	--attribute	SVN_Author,global,o,c,"$Author$"                       \
-        --attribute SVN_Date,global,o,c,"$Date$"                            \
-	--attribute SVN_Revision,global,o,c,"$Revision$"                    \
-	--attribute SVN_Id,global,o,c,"$Id$"                                \
+	--attribute SVN_Author,global,o,c,"$Author: omamce $"                 \
+        --attribute SVN_Date,global,o,c,"$Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $" \
+	--attribute SVN_Revision,global,o,c,"$Revision: 3625 $"               \
+	--attribute SVN_Id,global,o,c,"$Id: CreateRestartOce4Oasis.bash 3625 2018-03-12 10:17:59Z omamce $" \
 	--attribute SVN_Lo,global,o,c,"$Log: $"                               \
 	sstoc.nc
Index: TOOLS/MOSAIX/CreateWeightsMask.bash
===================================================================
--- TOOLS/MOSAIX/CreateWeightsMask.bash	(revision 3625)
+++ TOOLS/MOSAIX/CreateWeightsMask.bash	(revision 3626)
@@ -29,8 +29,8 @@
 ##
 ## SVN information
-#  $Author$
-#  $Date$
-#  $Revision$
-#  $Id$
+#  $Author: omamce $
+#  $Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $
+#  $Revision: 3625 $
+#  $Id: CreateWeightsMask.bash 3625 2018-03-12 10:17:59Z omamce $
 #  $Log: $
 
@@ -332,9 +332,9 @@
 	    --attribute description,global,o,c,"Generated with XIOS http://forge.ipsl.jussieu.fr/ioserver and MOSAIX https://forge.ipsl.jussieu.fr/igcmg/browser/TOOLS/MOSAIX" \
 	    --attribute Comment,global,o,c,"Preliminary attempt - Do not trust !" \
-	    --attribute	SVN_Author,global,o,c,"$Author$"                         \
-            --attribute SVN_Date,global,o,c,"$Date$"                            \
-	    --attribute SVN_Revision,global,o,c,"$Revision$"                    \
-	    --attribute SVN_Id,global,o,c,"$Id$"                                \
-	    --attribute SVN_Lo,global,o,c,"$Log: $"                               \
+	    --attribute	SVN_Author,global,o,c,"$Author: omamce $"                 \
+            --attribute SVN_Date,global,o,c,"$Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $"                            \
+	    --attribute SVN_Revision,global,o,c,"$Revision: 3625 $"               \
+	    --attribute SVN_Id,global,o,c,"$Id: CreateWeightsMask.bash 3625 2018-03-12 10:17:59Z omamce $"                                \
+	    --attribute SVN_Log,global,o,c,"$Log: $"                              \
 	    ${InFile}
 done
Index: TOOLS/MOSAIX/iodef.xml
===================================================================
--- TOOLS/MOSAIX/iodef.xml	(revision 3625)
+++ TOOLS/MOSAIX/iodef.xml	(revision 3626)
@@ -77,4 +77,10 @@
 	<variable name="Institution"   type="string">IPSL</variable>
 	<variable name="Model"         type="string">IPSL CM6</variable>
+	<variable name="SVN_Author"    type="string">$Author: omamce $</variable>
+	<variable name="SVN_Date"      type="string">$Date: 2018-03-12 10:59:12 +0100 (Mon, 12 Mar 2018) $</variable>
+	<variable name="SVN_Revision"  type="string">$Revision: 3623 $</variable>
+	<variable name="SVN_Id"        type="string">$Id: iodef_oce_to_atm.xml 3623 2018-03-12 09:59:12Z omamce $</variable>
+	<variable name="SVN_Log"       type="string">$Log: $</variable>
+	
 	
 	<field name="OceFrac"     field_ref="mask_src"    domain_ref="domain_dst" operation="once" prec="8" />
Index: TOOLS/MOSAIX/iodef_atm_to_oce.xml
===================================================================
--- TOOLS/MOSAIX/iodef_atm_to_oce.xml	(revision 3625)
+++ TOOLS/MOSAIX/iodef_atm_to_oce.xml	(revision 3626)
@@ -77,8 +77,8 @@
 	<variable name="Institution"   type="string">IPSL</variable>
 	<variable name="Model"         type="string">IPSL CM6</variable>
-	<variable name="SVN_Author"    type="string">$Author$</variable>
-	<variable name="SVN_Date"      type="string">$Date$
-	<variable name="SVN_Revision"  type="string">$Revision$</variable>
-	<variable name="SVN_Id"        type="string">$Id$</variable>
+	<variable name="SVN_Author"    type="string">$Author: omamce $</variable>
+	<variable name="SVN_Date"      type="string">$Date: 2018-03-12 10:59:12 +0100 (Mon, 12 Mar 2018) $</variable>
+	<variable name="SVN_Revision"  type="string">$Revision: 3623 $</variable>
+	<variable name="SVN_Id"        type="string">$Id: iodef_atm_to_oce.xml 3623 2018-03-12 09:59:12Z omamce $</variable>
 	<variable name="SVN_Log"       type="string">$Log: $</variable>
 	
Index: TOOLS/MOSAIX/iodef_oce_to_atm.xml
===================================================================
--- TOOLS/MOSAIX/iodef_oce_to_atm.xml	(revision 3625)
+++ TOOLS/MOSAIX/iodef_oce_to_atm.xml	(revision 3626)
@@ -77,8 +77,8 @@
 	<variable name="Institution"   type="string">IPSL</variable>
 	<variable name="Model"         type="string">IPSL CM6</variable>
-	<variable name="SVN_Author"    type="string">$Author$</variable>
-	<variable name="SVN_Date"      type="string">$Date$
-	<variable name="SVN_Revision"  type="string">$Revision$</variable>
-	<variable name="SVN_Id"        type="string">$Id$</variable>
+	<variable name="SVN_Author"    type="string">$Author: omamce $</variable>
+	<variable name="SVN_Date"      type="string">$Date: 2018-03-12 10:59:12 +0100 (Mon, 12 Mar 2018) $</variable>
+	<variable name="SVN_Revision"  type="string">$Revision: 3623 $</variable>
+	<variable name="SVN_Id"        type="string">$Id: iodef_oce_to_atm.xml 3623 2018-03-12 09:59:12Z omamce $</variable>
 	<variable name="SVN_Log"       type="string">$Log: $</variable>
 	
Index: TOOLS/MOSAIX/src/MOSAIX/interpol.f90
===================================================================
--- TOOLS/MOSAIX/src/MOSAIX/interpol.f90	(revision 3625)
+++ TOOLS/MOSAIX/src/MOSAIX/interpol.f90	(revision 3626)
@@ -30,8 +30,8 @@
    !
    !! SVN information
-   CHARACTER (LEN=80) :: SVN_Author   = "$Author$"
-   CHARACTER (LEN=80) :: SVN_Date     = "$Date$"
-   CHARACTER (LEN=80) :: SVN_Revision = "$Revision$"
-   CHARACTER (LEN=80) :: SVN_Id       = "$Id$"
+   CHARACTER (LEN=80) :: SVN_Author   = "$Author: omamce $"
+   CHARACTER (LEN=80) :: SVN_Date     = "$Date: 2018-03-12 10:59:12 +0100 (Mon, 12 Mar 2018) $"
+   CHARACTER (LEN=80) :: SVN_Revision = "$Revision: 3623 $"
+   CHARACTER (LEN=80) :: SVN_Id       = "$Id: interpol.f90 3623 2018-03-12 09:59:12Z omamce $"
    CHARACTER (LEN=80) :: SVN_Log      = "$Log: $"
 
Index: TOOLS/MOSAIX/update_xml.py
===================================================================
--- TOOLS/MOSAIX/update_xml.py	(revision 3625)
+++ TOOLS/MOSAIX/update_xml.py	(revision 3626)
@@ -15,8 +15,8 @@
 ##
 ## SVN information
-__Author__   = "$Author$"
-__Date__     = "$Date$"
-__Revision__ = "$Revision$"
-__Id__       = "$Id$"
+__Author__   = "$Author: omamce $"
+__Date__     = "$Date: 2018-03-12 10:59:12 +0100 (Mon, 12 Mar 2018) $"
+__Revision__ = "$Revision: 3623 $"
+__Id__       = "$Id: update_xml.py 3623 2018-03-12 09:59:12Z omamce $"
 __Log__      = "$Log: $"
 