Index: TOOLS/MOSAIX/CreateOasisGrids.bash
===================================================================
--- TOOLS/MOSAIX/CreateOasisGrids.bash	(revision 3639)
+++ TOOLS/MOSAIX/CreateOasisGrids.bash	(revision 3640)
@@ -24,5 +24,4 @@
 #  $Id: CreateOasisGrids.bash 3625 2018-03-12 10:17:59Z omamce $
 #  $HeadURL$
-#  $Log: $
 
 ##
@@ -376,5 +375,4 @@
 	    --attribute SVN_Revision,global,o,c,"$Revision: 3625 $"                    \
 	    --attribute SVN_Id,global,o,c,"$Id: CreateOasisGrids.bash 3625 2018-03-12 10:17:59Z omamce $"                                \
-	    --attribute SVN_Log,global,o,c,"$Log: $"                               \
 	    ${type}_${CplModel}.nc
 done
Index: TOOLS/MOSAIX/CreateRestartAtm4Oasis.bash
===================================================================
--- TOOLS/MOSAIX/CreateRestartAtm4Oasis.bash	(revision 3639)
+++ TOOLS/MOSAIX/CreateRestartAtm4Oasis.bash	(revision 3640)
@@ -25,5 +25,4 @@
 #  $Id: CreateRestartAtm4Oasis.bash 3625 2018-03-12 10:17:59Z omamce $
 #  $HeadURL$
-#  $Log: $
 
 # Usage exemples :
@@ -256,5 +255,4 @@
 	--attribute SVN_Revision,global,o,c,"$Revision: 3625 $"               \
 	--attribute SVN_Id,global,o,c,"$Id: CreateRestartAtm4Oasis.bash 3625 2018-03-12 10:17:59Z omamce $"                                \
-	--attribute SVN_Log,global,o,c,"$Log: $"                              \
 	flxat.nc
 
Index: TOOLS/MOSAIX/CreateRestartOce4Oasis.bash
===================================================================
--- TOOLS/MOSAIX/CreateRestartOce4Oasis.bash	(revision 3639)
+++ TOOLS/MOSAIX/CreateRestartOce4Oasis.bash	(revision 3640)
@@ -25,5 +25,4 @@
 #  $Id: CreateRestartOce4Oasis.bash 3625 2018-03-12 10:17:59Z omamce $
 #  $HeadURL$
-#  $Log: $
 
 # Usage exemples :
@@ -178,5 +177,4 @@
 	--attribute SVN_Revision,global,o,c,"$Revision: 3625 $"               \
 	--attribute SVN_Id,global,o,c,"$Id: CreateRestartOce4Oasis.bash 3625 2018-03-12 10:17:59Z omamce $" \
-	--attribute SVN_Log,global,o,c,"$Log: $"                               \
 	sstoc.nc
 
Index: TOOLS/MOSAIX/CreateWeightsMask.bash
===================================================================
--- TOOLS/MOSAIX/CreateWeightsMask.bash	(revision 3639)
+++ TOOLS/MOSAIX/CreateWeightsMask.bash	(revision 3640)
@@ -36,5 +36,4 @@
 #  $Id: CreateWeightsMask.bash 3625 2018-03-12 10:17:59Z omamce $
 #  $HeadURL$
-#  $Log: $
 
 ##
@@ -339,5 +338,4 @@
 	    --attribute SVN_Revision,global,o,c,"$Revision: 3625 $"               \
 	    --attribute SVN_Id,global,o,c,"$Id: CreateWeightsMask.bash 3625 2018-03-12 10:17:59Z omamce $"                                \
-	    --attribute SVN_Log,global,o,c,"$Log: $"                              \
 	    ${InFile}
 done
Index: TOOLS/MOSAIX/iodef.xml
===================================================================
--- TOOLS/MOSAIX/iodef.xml	(revision 3639)
+++ TOOLS/MOSAIX/iodef.xml	(revision 3640)
@@ -82,5 +82,4 @@
 	<variable name="SVN_Id"        type="string">$Id: iodef_oce_to_atm.xml 3623 2018-03-12 09:59:12Z omamce $</variable>
 	<variable name="SVN_HeadURL"   type="string">$HeadURL$</variable>
-	<variable name="SVN_Log"       type="string">$Log: $</variable>
 	
 	
Index: TOOLS/MOSAIX/iodef_atm_to_oce.xml
===================================================================
--- TOOLS/MOSAIX/iodef_atm_to_oce.xml	(revision 3639)
+++ TOOLS/MOSAIX/iodef_atm_to_oce.xml	(revision 3640)
@@ -82,5 +82,4 @@
 	<variable name="SVN_Id"        type="string">$Id: iodef_atm_to_oce.xml 3623 2018-03-12 09:59:12Z omamce $</variable>
 	<variable name="SVN_HeadURL"   type="string">$HeadURL$</variable>
-	<variable name="SVN_Log"       type="string">$Log: $</variable>
 	
 	<field name="field01_dst" field_ref="field01_src" domain_ref="domain_dst" operation="once" prec="8" />
Index: TOOLS/MOSAIX/iodef_oce_to_atm.xml
===================================================================
--- TOOLS/MOSAIX/iodef_oce_to_atm.xml	(revision 3639)
+++ TOOLS/MOSAIX/iodef_oce_to_atm.xml	(revision 3640)
@@ -82,5 +82,4 @@
 	<variable name="SVN_Id"        type="string">$Id: iodef_oce_to_atm.xml 3623 2018-03-12 09:59:12Z omamce $</variable>
 	<variable name="SVN_HeadURL"   type="string">$HeadURL$</variable>
-	<variable name="SVN_Log"       type="string">$Log: $</variable>
 	
 	<field name="OceFrac"     field_ref="mask_src"    domain_ref="domain_dst" operation="once" prec="8" />
Index: TOOLS/MOSAIX/src/MOSAIX/interpol.f90
===================================================================
--- TOOLS/MOSAIX/src/MOSAIX/interpol.f90	(revision 3639)
+++ TOOLS/MOSAIX/src/MOSAIX/interpol.f90	(revision 3640)
@@ -35,5 +35,4 @@
    CHARACTER (LEN=80) :: SVN_Id       = "$Id: interpol.f90 3623 2018-03-12 09:59:12Z omamce $"
    CHARACTER (LEN=240):: SVN_HeadURL  = "$HeadURL$"
-   CHARACTER (LEN=80) :: SVN_Log      = "$Log: $"
 
    !!