Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/config.card	(revision 3654)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/config.card	(revision 3655)
@@ -14,5 +14,5 @@
 #----- DEVT TEST PROD
 SpaceName=DEVT
-LongName="IPSLCM6.0.15"
+LongName="IPSLCM6.1"
 TagName=IPSLCM6
 #D- Choice of experiment in EXPERIMENTS directory
@@ -40,9 +40,9 @@
 #D- If you want to restart all components from the same simulation,
 #D-      put OveRule flag to 'y' and set the next 3 parameters
-OverRule=n
+OverRule=y
 #D- Last day of the experience used as restart for all components
-RestartDate=2569-12-31
+RestartDate=XXXX-12-31
 #D- Define restart simulation name for all components
-RestartJobName=CM6014-pi-ttop-ssh-03
+RestartJobName=CM6015S-pi-01
 #D- Path Server Group Login
 RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/lmdz.card	(revision 3654)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/COMP/lmdz.card	(revision 3655)
@@ -5,5 +5,5 @@
 # Physics package to use :
 # LMDZ_Physics=AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources
-LMDZ_Physics=NPv6.0.15_T
+LMDZ_Physics=NPv6.0.15_S
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes.
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/config.card	(revision 3654)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl/config.card	(revision 3655)
@@ -14,5 +14,5 @@
 #----- DEVT TEST PROD
 SpaceName=DEVT
-LongName="IPSLCM6.0.15"
+LongName="IPSLCM6.1"
 TagName=IPSLCM6
 #D- Choice of experiment in EXPERIMENTS directory
@@ -42,7 +42,7 @@
 OverRule=y
 #D- Last day of the experience used as restart for all components
-RestartDate=2099-12-31
+RestartDate=XXXX-12-31
 #D- Define restart simulation name for all components
-RestartJobName=CM6013-pd-ttop-rnhmin
+RestartJobName=CM6015S-pd-01
 #D- Path Server Group Login
 RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/pdControl
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card	(revision 3654)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card	(revision 3655)
@@ -5,5 +5,5 @@
 # Physics package to use :
 # LMDZ_Physics=AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources
-LMDZ_Physics=NPv6.0.15_T
+LMDZ_Physics=NPv6.0.15_S
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes.
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/config.card	(revision 3654)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/config.card	(revision 3655)
@@ -14,5 +14,5 @@
 #----- DEVT TEST PROD
 SpaceName=DEVT
-LongName="IPSLCM6.0.15"
+LongName="IPSLCM6.1"
 TagName=IPSLCM6
 #D- Choice of experiment in EXPERIMENTS directory
@@ -42,7 +42,7 @@
 OverRule=y
 #D- Last day of the experience used as restart for all components
-RestartDate=2569-12-31
+RestartDate=XXXX-12-31
 #D- Define restart simulation name for all components
-RestartJobName=CM6014-pi-ttop-ssh-03
+RestartJobName=CM6015S-pi-01
 #D- Path Server Group Login
 RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 3654)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 3655)
@@ -40,9 +40,9 @@
 #D- If you want to restart all components from the same simulation,
 #D-      put OveRule flag to 'y' and set the next 3 parameters
-OverRule=n
+OverRule=y
 #D- Last day of the experience used as restart for all components
-RestartDate=2569-12-31
+RestartDate=XXXX-12-31
 #D- Define restart simulation name for all components
-RestartJobName=CM6014-pi-ttop-ssh-03
+RestartJobName=CM6015S-pi-01
 #D- Path Server Group Login
 RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl