Index: TOOLS/MOSAIX/CreateOasisGrids.bash
===================================================================
--- TOOLS/MOSAIX/CreateOasisGrids.bash	(revision 3646)
+++ TOOLS/MOSAIX/CreateOasisGrids.bash	(revision 3665)
@@ -19,8 +19,8 @@
 ###
 ## SVN information
-#  $Author: omamce $
-#  $Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $
-#  $Revision: 3625 $
-#  $Id: CreateOasisGrids.bash 3625 2018-03-12 10:17:59Z omamce $
+#  $Author$
+#  $Date$
+#  $Revision$
+#  $Id$
 #  $HeadURL$
 
@@ -371,8 +371,8 @@
 	    --attribute hardware,global,o,c,"$(uname -i)"              \
 	    --attribute Comment,global,o,c,"Preliminary attempt - Do not trust !" \
-	    --attribute	SVN_Author,global,o,c,"$Author: omamce $"                           \
-            --attribute SVN_Date,global,o,c,"$Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $"                            \
-	    --attribute SVN_Revision,global,o,c,"$Revision: 3625 $"                    \
-	    --attribute SVN_Id,global,o,c,"$Id: CreateOasisGrids.bash 3625 2018-03-12 10:17:59Z omamce $"                                \
+	    --attribute	SVN_Author,global,o,c,"$Author$"                           \
+            --attribute SVN_Date,global,o,c,"$Date$"                            \
+	    --attribute SVN_Revision,global,o,c,"$Revision$"                    \
+	    --attribute SVN_Id,global,o,c,"$Id$"                                \
 	    ${type}_${CplModel}.nc
 done
Index: TOOLS/MOSAIX/CreateRestartAtm4Oasis.bash
===================================================================
--- TOOLS/MOSAIX/CreateRestartAtm4Oasis.bash	(revision 3646)
+++ TOOLS/MOSAIX/CreateRestartAtm4Oasis.bash	(revision 3665)
@@ -20,8 +20,8 @@
 ###
 ## SVN information
-#  $Author: omamce $
-#  $Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $
-#  $Revision: 3625 $
-#  $Id: CreateRestartAtm4Oasis.bash 3625 2018-03-12 10:17:59Z omamce $
+#  $Author$
+#  $Date$
+#  $Revision$
+#  $Id$
 #  $HeadURL$
 
@@ -251,8 +251,8 @@
 	--attribute Comment,global,o,c,"${Comment}"                           \
         --attribute Comment,global,o,c,"Preliminary attempt - Do not trust !" \
-	--attribute SVN_Author,global,o,c,"$Author: omamce $"                 \
-        --attribute SVN_Date,global,o,c,"$Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $"                            \
-	--attribute SVN_Revision,global,o,c,"$Revision: 3625 $"               \
-	--attribute SVN_Id,global,o,c,"$Id: CreateRestartAtm4Oasis.bash 3625 2018-03-12 10:17:59Z omamce $"                                \
+	--attribute SVN_Author,global,o,c,"$Author$"                 \
+        --attribute SVN_Date,global,o,c,"$Date$"                            \
+	--attribute SVN_Revision,global,o,c,"$Revision$"               \
+	--attribute SVN_Id,global,o,c,"$Id$"                                \
 	flxat.nc
 
Index: TOOLS/MOSAIX/CreateRestartOce4Oasis.bash
===================================================================
--- TOOLS/MOSAIX/CreateRestartOce4Oasis.bash	(revision 3646)
+++ TOOLS/MOSAIX/CreateRestartOce4Oasis.bash	(revision 3665)
@@ -20,8 +20,8 @@
 ###
 ## SVN information
-#  $Author: omamce $
-#  $Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $
-#  $Revision: 3625 $
-#  $Id: CreateRestartOce4Oasis.bash 3625 2018-03-12 10:17:59Z omamce $
+#  $Author$
+#  $Date$
+#  $Revision$
+#  $Id$
 #  $HeadURL$
 
@@ -173,8 +173,8 @@
 	--attribute directory,global,o,c,"$(pwd)"                             \
 	--attribute Comment,global,o,c,"${Comment}"                           \
-	--attribute SVN_Author,global,o,c,"$Author: omamce $"                 \
-        --attribute SVN_Date,global,o,c,"$Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $" \
-	--attribute SVN_Revision,global,o,c,"$Revision: 3625 $"               \
-	--attribute SVN_Id,global,o,c,"$Id: CreateRestartOce4Oasis.bash 3625 2018-03-12 10:17:59Z omamce $" \
+	--attribute SVN_Author,global,o,c,"$Author$"                 \
+        --attribute SVN_Date,global,o,c,"$Date$" \
+	--attribute SVN_Revision,global,o,c,"$Revision$"               \
+	--attribute SVN_Id,global,o,c,"$Id$" \
 	sstoc.nc
 
Index: TOOLS/MOSAIX/CreateWeightsMask.bash
===================================================================
--- TOOLS/MOSAIX/CreateWeightsMask.bash	(revision 3646)
+++ TOOLS/MOSAIX/CreateWeightsMask.bash	(revision 3665)
@@ -31,8 +31,8 @@
 ##
 ## SVN information
-#  $Author: omamce $
-#  $Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $
-#  $Revision: 3625 $
-#  $Id: CreateWeightsMask.bash 3625 2018-03-12 10:17:59Z omamce $
+#  $Author$
+#  $Date$
+#  $Revision$
+#  $Id$
 #  $HeadURL$
 
@@ -334,8 +334,8 @@
 	    --attribute description,global,o,c,"Generated with XIOS http://forge.ipsl.jussieu.fr/ioserver and MOSAIX https://forge.ipsl.jussieu.fr/igcmg/browser/TOOLS/MOSAIX" \
 	    --attribute Comment,global,o,c,"Preliminary attempt - Do not trust !" \
-	    --attribute	SVN_Author,global,o,c,"$Author: omamce $"                 \
-            --attribute SVN_Date,global,o,c,"$Date: 2018-03-12 11:17:59 +0100 (Mon, 12 Mar 2018) $"                            \
-	    --attribute SVN_Revision,global,o,c,"$Revision: 3625 $"               \
-	    --attribute SVN_Id,global,o,c,"$Id: CreateWeightsMask.bash 3625 2018-03-12 10:17:59Z omamce $"                                \
+	    --attribute	SVN_Author,global,o,c,"$Author$"                 \
+            --attribute SVN_Date,global,o,c,"$Date$"                            \
+	    --attribute SVN_Revision,global,o,c,"$Revision$"               \
+	    --attribute SVN_Id,global,o,c,"$Id$"                                \
 	    ${InFile}
 done
Index: TOOLS/MOSAIX/iodef.xml
===================================================================
--- TOOLS/MOSAIX/iodef.xml	(revision 3646)
+++ TOOLS/MOSAIX/iodef.xml	(revision 3665)
@@ -77,8 +77,8 @@
 	<variable name="Institution"   type="string">IPSL</variable>
 	<variable name="Model"         type="string">IPSL CM6</variable>
-	<variable name="SVN_Author"    type="string">$Author: omamce $</variable>
-	<variable name="SVN_Date"      type="string">$Date: 2018-03-12 10:59:12 +0100 (Mon, 12 Mar 2018) $</variable>
-	<variable name="SVN_Revision"  type="string">$Revision: 3623 $</variable>
-	<variable name="SVN_Id"        type="string">$Id: iodef_oce_to_atm.xml 3623 2018-03-12 09:59:12Z omamce $</variable>
+	<variable name="SVN_Author"    type="string">$Author$</variable>
+	<variable name="SVN_Date"      type="string">$Date$</variable>
+	<variable name="SVN_Revision"  type="string">$Revision$</variable>
+	<variable name="SVN_Id"        type="string">$Id$</variable>
 	<variable name="SVN_HeadURL"   type="string">$HeadURL$</variable>
 	
Index: TOOLS/MOSAIX/iodef_atm_to_oce.xml
===================================================================
--- TOOLS/MOSAIX/iodef_atm_to_oce.xml	(revision 3646)
+++ TOOLS/MOSAIX/iodef_atm_to_oce.xml	(revision 3665)
@@ -77,8 +77,8 @@
 	<variable name="Institution"   type="string">IPSL</variable>
 	<variable name="Model"         type="string">IPSL CM6</variable>
-	<variable name="SVN_Author"    type="string">$Author: omamce $</variable>
-	<variable name="SVN_Date"      type="string">$Date: 2018-03-12 10:59:12 +0100 (Mon, 12 Mar 2018) $</variable>
-	<variable name="SVN_Revision"  type="string">$Revision: 3623 $</variable>
-	<variable name="SVN_Id"        type="string">$Id: iodef_atm_to_oce.xml 3623 2018-03-12 09:59:12Z omamce $</variable>
+	<variable name="SVN_Author"    type="string">$Author$</variable>
+	<variable name="SVN_Date"      type="string">$Date$</variable>
+	<variable name="SVN_Revision"  type="string">$Revision$</variable>
+	<variable name="SVN_Id"        type="string">$Id$</variable>
 	<variable name="SVN_HeadURL"   type="string">$HeadURL$</variable>
 	
Index: TOOLS/MOSAIX/iodef_oce_to_atm.xml
===================================================================
--- TOOLS/MOSAIX/iodef_oce_to_atm.xml	(revision 3646)
+++ TOOLS/MOSAIX/iodef_oce_to_atm.xml	(revision 3665)
@@ -77,8 +77,8 @@
 	<variable name="Institution"   type="string">IPSL</variable>
 	<variable name="Model"         type="string">IPSL CM6</variable>
-	<variable name="SVN_Author"    type="string">$Author: omamce $</variable>
-	<variable name="SVN_Date"      type="string">$Date: 2018-03-12 10:59:12 +0100 (Mon, 12 Mar 2018) $</variable>
-	<variable name="SVN_Revision"  type="string">$Revision: 3623 $</variable>
-	<variable name="SVN_Id"        type="string">$Id: iodef_oce_to_atm.xml 3623 2018-03-12 09:59:12Z omamce $</variable>
+	<variable name="SVN_Author"    type="string">$Author$</variable>
+	<variable name="SVN_Date"      type="string">$Date$</variable>
+	<variable name="SVN_Revision"  type="string">$Revision$</variable>
+	<variable name="SVN_Id"        type="string">$Id$</variable>
 	<variable name="SVN_HeadURL"   type="string">$HeadURL$</variable>
 	
Index: TOOLS/MOSAIX/rangement.bash
===================================================================
--- TOOLS/MOSAIX/rangement.bash	(revision 3646)
+++ TOOLS/MOSAIX/rangement.bash	(revision 3665)
@@ -3,8 +3,7 @@
 source ./Setup.bash
 
-
 # ============================================================
 
-for ATM in LMD9695 LMD144142 ICO30 ICO40 ICO450 dynamico30 dynamico40 dynamico450
+for ATM in  LMD144X142 LMD9695 ICO30 ICO40 ICO450 dynamico30 dynamico40 dynamico450
 do
     for OCE in ORCA2.3 eORCA1.2 ORCA025
Index: TOOLS/MOSAIX/src/MOSAIX/interpol.f90
===================================================================
--- TOOLS/MOSAIX/src/MOSAIX/interpol.f90	(revision 3646)
+++ TOOLS/MOSAIX/src/MOSAIX/interpol.f90	(revision 3665)
@@ -30,12 +30,12 @@
    !
    !! SVN information
-   CHARACTER (LEN = LEN ( "$Author: omamce $" )) :: &
-      &   SVN_Author   =  "$Author: omamce $"
-   CHARACTER (LEN = LEN ( "$Date: 2018-03-12 10:59:12 +0100 (Mon, 12 Mar 2018) $" )) :: &
-      &   SVN_Date     =  "$Date: 2018-03-12 10:59:12 +0100 (Mon, 12 Mar 2018) $"
-   CHARACTER (LEN = LEN ( "$Revision: 3623 $")) :: &
-      &   SVN_Revision =  "$Revision: 3623 $"
-   CHARACTER (LEN = LEN ( "$Id: interpol.f90 3623 2018-03-12 09:59:12Z omamce $" )) :: &
-      &   SVN_Id       =  "$Id: interpol.f90 3623 2018-03-12 09:59:12Z omamce $"
+   CHARACTER (LEN = LEN ( "$Author$" )) :: &
+      &   SVN_Author   =  "$Author$"
+   CHARACTER (LEN = LEN ( "$Date$" )) :: &
+      &   SVN_Date     =  "$Date$"
+   CHARACTER (LEN = LEN ( "$Revision$")) :: &
+      &   SVN_Revision =  "$Revision$"
+   CHARACTER (LEN = LEN ( "$Id$" )) :: &
+      &   SVN_Id       =  "$Id$"
    CHARACTER (LEN = LEN ( "$HeadURL$" )) :: &
       &   SVN_HeadURL  =  "$HeadURL$"
Index: TOOLS/MOSAIX/update_xml.py
===================================================================
--- TOOLS/MOSAIX/update_xml.py	(revision 3646)
+++ TOOLS/MOSAIX/update_xml.py	(revision 3665)
@@ -15,10 +15,9 @@
 ##
 ## SVN information
-__Author__   = "$Author: omamce $"
-__Date__     = "$Date: 2018-03-12 10:59:12 +0100 (Mon, 12 Mar 2018) $"
-__Revision__ = "$Revision: 3623 $"
-__Id__       = "$Id: update_xml.py 3623 2018-03-12 09:59:12Z omamce $"
+__Author__   = "$Author$"
+__Date__     = "$Date$"
+__Revision__ = "$Revision$"
+__Id__       = "$Id$"
 __HeadURL    = "$HeadURL$"
-__Log__      = "$Log: $"
 
 # 